QGIS Application - Bug report #17359
crash while enabling 'on the fly' CRS transformation
2017-10-30 02:15 PM - Marius Ivaskevicius

Status: Closed

Priority: High

Assignee:

Category: Projection Support

Affected QGIS version:2.18.7 Regression?: No

Operating System: win 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 25256
Description

1. with browser create new polygon shp WGS 84 EPSG:4256

2. open in desktop

3. toggle edit ON

4. draw 1 polygon

5. toggle edit OFF

6. in project properties click on "enable 'on the fly' CRS transformation’
7. select WGS84 / Pseudo-Mercator EPSG:6871

8. Clicking on OK crashes desktop

tested on 2.18.7 and 2.14.20

History

#1 - 2017-11-02 11:43 AM - Giovanni Manghi
- Status changed from Open to Feedback

Tested on 2.18.14 and cannot replicate. By the way "wgs84" is usually the the crs referred to the one having epsg 4326, pesudo mercator (or google

mercator) is 3857.

Try again on a clean install (i.e. remove all the 3rd party plugins and restart qgis).

#2 - 2018-02-23 05:22 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
